@echo off
setlocal

REM Get the folder path of the .bat file
set "FolderPath=%~dp0"

REM Navigate to the target folder
cd /d "%FolderPath%"

REM Search and rename .ini files
for /r %%F in (*.ini) do (
  set "FileName=%%~nF"
  setlocal enabledelayedexpansion
  set "NewName=!FileName:DISABLED=!"
  ren "%%F" "!NewName!.ini"
  endlocal
)

endlocal